summaryrefslogtreecommitdiffstats
path: root/bashrc/bin/maildirmake
diff options
context:
space:
mode:
Diffstat (limited to 'bashrc/bin/maildirmake')
-rwxr-xr-xbashrc/bin/maildirmake10
1 files changed, 10 insertions, 0 deletions
diff --git a/bashrc/bin/maildirmake b/bashrc/bin/maildirmake
new file mode 100755
index 0000000..5ba5f11
--- /dev/null
+++ b/bashrc/bin/maildirmake
@@ -0,0 +1,10 @@
+# create maildir style directories
+
+if [[ -z "$1" ]] ; then
+ echo "Usage:"
+ echo -en "\t"
+ echo "$(basename $0) <directory>"
+ exit 1
+fi
+
+mkdir -m 0700 $1/{,cur,new,tmp}